[147307] users/devans/GNOME-3/stable/dports/gnome/evolution-data-server

devans at macports.org devans at macports.org
Fri Apr 1 14:06:17 PDT 2016


Revision: 147307
          https://trac.macports.org/changeset/147307
Author:   devans at macports.org
Date:     2016-04-01 14:06:17 -0700 (Fri, 01 Apr 2016)
Log Message:
-----------
GNOME-3/stable: evolution-data-server, update to version 3.20.0, dependencies, update autogen.sh from upstream git master.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/Portfile
    users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/autogen.sh
    users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/patch-configure.ac.diff

Property Changed:
----------------
    users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/


Property changes on: users/devans/GNOME-3/stable/dports/gnome/evolution-data-server
___________________________________________________________________
Modified: svn:mergeinfo
   - /trunk/dports/gnome/evolution-data-server:108265-142566
/users/devans/GNOME-3/unstable/dports/gnome/evolution-data-server:114069-118152,119491-140519
   + /trunk/dports/gnome/evolution-data-server:108265-142566
/users/devans/GNOME-3/unstable/dports/gnome/evolution-data-server:114069-118152,119491-140519,141670-146957

Modified: users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/Portfile	2016-04-01 20:53:43 UTC (rev 147306)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/Portfile	2016-04-01 21:06:17 UTC (rev 147307)
@@ -5,7 +5,7 @@
 PortGroup           gobject_introspection 1.0
 
 name                evolution-data-server
-version             3.18.5
+version             3.20.0
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Addressbook and calender libs for GNOME.
 long_description    Evolution Data Server provides a central location for \
@@ -19,8 +19,8 @@
 
 use_xz              yes
 
-checksums           rmd160  3d4a170988ef2227f342b904d4c605a4859b6cc9 \
-                    sha256  a897c789925e86df31a1c78212b431cca13dc4d5a3d87e1fb3d507df3994e8e1
+checksums           rmd160  ece320698ea8fcb95e15a3b8dde94e7327715837 \
+                    sha256  05f2e84fd5b02f9a526ffd549753af564f54c56047b5126aeecb28a8a0fa4f4b
 
 depends_build       port:pkgconfig \
                     port:intltool \
@@ -44,7 +44,7 @@
                     port:gnome-online-accounts \
                     port:sqlite3 \
                     port:vala \
-                    port:db46 \
+                    port:db53 \
                     port:icu
 
 gobject_introspection yes
@@ -61,8 +61,8 @@
 configure.cmd       ./autogen.sh
 
 configure.env-append \
-                    DB_CFLAGS="-I${prefix}/include/db46" \
-                    DB_LIBS="-L${prefix}/lib/db46 -ldb"
+                    DB_CFLAGS="-I${prefix}/include/db53" \
+                    DB_LIBS="-L${prefix}/lib/db53 -ldb"
 
 configure.args      --enable-smime \
                     --enable-ipv6 \
@@ -97,4 +97,14 @@
     system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
+platform darwin {
+    if {${configure.cxx_stdlib} eq "libstdc++"} {
+# google auth requires webkitgtk-3.0 >= 2.4.9 json-glib >= 1.0.4
+        configure.args-append --disable-google-auth
+    } else {
+        depends_lib-append  path:lib/pkgconfig/webkitgtk-3.0.pc:webkit-gtk3 \
+                            port:json-glib
+    }
+}
+
 livecheck.type      gnome

Modified: users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/autogen.sh	2016-04-01 20:53:43 UTC (rev 147306)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/autogen.sh	2016-04-01 21:06:17 UTC (rev 147307)
@@ -4,23 +4,40 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="evolution-data-server"
-REQUIRED_AUTOCONF_VERSION=2.58
-REQUIRED_AUTOMAKE_VERSION=1.10
-REQUIRED_LIBTOOL_VERSION=2.2
-REQUIRED_INTLTOOL_VERSION=0.35.5
-
 (test -f $srcdir/configure.ac \
   && test -f $srcdir/ChangeLog \
   && test -d $srcdir/calendar) || {
     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
+    echo " top-level evolution-data-server directory"
     exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
+olddir=`pwd`
+cd $srcdir
+
+check_exists() {
+	variable=`which $1`
+
+	if test -z $variable; then
+		echo "*** No $1 found, please intall it ***" >&2
+		exit 1
+	fi
 }
 
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+check_exists aclocal
+check_exists autoreconf
+check_exists gtkdocize
+check_exists intltoolize
+
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+	mkdir -p $m4dir
+fi
+
+aclocal -I m4 || exit $?
+gtkdocize --copy || exit $?
+intltoolize --force --copy --automake || exit $?
+autoreconf --verbose --force --install -Wno-portability || exit $?
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" --disable-maintainer-mode "$@"

Modified: users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/patch-configure.ac.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/patch-configure.ac.diff	2016-04-01 20:53:43 UTC (rev 147306)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution-data-server/files/patch-configure.ac.diff	2016-04-01 21:06:17 UTC (rev 147307)
@@ -1,6 +1,6 @@
---- configure.ac.orig	2015-03-16 02:33:45.000000000 -0700
-+++ configure.ac	2015-03-24 16:26:43.000000000 -0700
-@@ -219,7 +219,7 @@
+--- configure.ac.orig	2016-02-15 02:19:30.000000000 -0800
++++ configure.ac	2016-03-01 06:19:32.000000000 -0800
+@@ -221,7 +221,7 @@
  	-Wnested-externs"
  
  proposed_cxx_warning_flags="$proposed_warning_flags
@@ -9,7 +9,7 @@
  
  AS_COMPILER_FLAGS(WARNING_FLAGS, [$proposed_c_warning_flags])
  AC_SUBST(WARNING_FLAGS)
-@@ -328,8 +328,8 @@
+@@ -330,8 +330,8 @@
  
  dnl This must appear after AC_CANONICAL_HOST, which defines $host.
  case "$host" in
@@ -20,14 +20,14 @@
  	;;
  *)
  	LDFLAGS="$LDFLAGS -Wl,--no-undefined"
-@@ -634,8 +634,8 @@
+@@ -672,8 +672,8 @@
  
  if test "x$with_libdb" != "xno" ; then
  	if test "x$with_libdb" != "xyes" ; then
 -		DB_CFLAGS="$CFLAGS -I$with_libdb/include"
 -		DB_LIBS="$LIBS -L$with_libdb/lib -ldb"
-+               DB_CFLAGS="-I$prefix/include/db46"
-+               DB_LIBS="-L$prefix/lib/db46 -ldb"
++               DB_CFLAGS="-I$prefix/include/db53"
++               DB_LIBS="-L$prefix/lib/db53 -ldb"
  	else
  		if test -z "$DB_CFLAGS" -a -z "$DB_LIBS"; then
  			DB_CFLAGS="$CFLAGS"
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160401/fdb17e32/attachment-0001.html>


More information about the macports-changes mailing list